[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#211623: marked as done (partitioner: SRM-aware selection script needed for Alpha)



Your message dated Sat, 20 Sep 2003 08:02:10 -0400
with message-id <E1A0gRG-00013u-00@auric.debian.org>
and subject line Bug#211623: fixed in partitioner 0.07
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--------------------------------------
Received: (at submit) by bugs.debian.org; 19 Sep 2003 02:47:51 +0000
>From vorlon@netexpress.net Thu Sep 18 21:40:53 2003
Return-path: <vorlon@netexpress.net>
Received: from quetzlcoatl.dodds.net [64.22.202.19] 
	by master.debian.org with esmtp (Exim 3.35 1 (Debian))
	id 1A0BCX-0001Md-00; Thu, 18 Sep 2003 21:40:53 -0500
Received: by quetzlcoatl.dodds.net (Postfix, from userid 1000)
	id 2E6751B1E; Thu, 18 Sep 2003 21:40:51 -0500 (CDT)
Date: Thu, 18 Sep 2003 21:40:51 -0500
From: Steve Langasek <vorlon@netexpress.net>
To: submit@bugs.debian.org
Subject: partitioner: SRM-aware selection script needed for Alpha
Message-ID: <20030919024051.GC1235@quetzlcoatl.dodds.net>
Mime-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
	protocol="application/pgp-signature"; boundary="aM3YZ0Iwxop3KEKx"
Content-Disposition: inline
User-Agent: Mutt/1.5.4i
Delivered-To: submit@bugs.debian.org
X-Spam-Status: No, hits=0.0 required=4.0
	tests=none
	version=2.53-bugs.debian.org_2003_9_16
X-Spam-Level: 
X-Spam-Checker-Version: SpamAssassin 2.53-bugs.debian.org_2003_9_16 (1.174.2.15-2003-03-30-exp)


--aM3YZ0Iwxop3KEKx
Content-Type: multipart/mixed; boundary="FL5UXtIhxfXey3p5"
Content-Disposition: inline


--FL5UXtIhxfXey3p5
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Package: partitioner
Version: 0.07
Tags: d-i patch

Partitioning on most alphas can only be done with fdisk, not cfdisk,
because cfdisk lacks BSD disklabel support (bug #211556).  The attached
patch is a first try at a script for partitioner to use when we're
installing on an alpha.  SRM magic patterned after the srm-reader udeb,
and has not yet been tested.

Cheers,
--=20
Steve Langasek
postmodern programmer

--FL5UXtIhxfXey3p5
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment; filename="partitioner-alpha.diff"

--- /dev/null	1969-12-31 18:00:00.000000000 -0600
+++ partitioner/scripts/alpha.sh	2003-09-18 21:29:27.000000000 -0500
@@ -0,0 +1,27 @@
+
+DISK="$1"
+[ -z "$DISK" ] && exit 1
+
+# Load srm_env.o if we can; this should fail on ARC-based systems.
+(modprobe srm_env || true) 2> /dev/null
+
+# Have SRM, so need BSD disklabels -- always use fdisk.
+if [ -f /proc/srm_environment/named_variables/booted_dev ]; then
+	fdisk $DISK
+	exit $?
+fi
+
+# Otherwise, pick based on the frontend.
+case "$DEBIAN_FRONTEND" in
+"slang")
+	cfdisk $DISK
+	;;
+"newt")
+	cfdisk $DISK
+	;;
+*)
+	fdisk $DISK
+	;;
+esac
+
+exit $?

--FL5UXtIhxfXey3p5--

--aM3YZ0Iwxop3KEKx
Content-Type: application/pgp-signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.2 (GNU/Linux)

iD8DBQE/amyzKN6ufymYLloRArh0AJwK61E2c6ugIAs4hC7KuPhOrgTX/gCdHnVH
fFoeT27mRFevOZgjptWBzwA=
=BU7L
-----END PGP SIGNATURE-----

--aM3YZ0Iwxop3KEKx--

---------------------------------------
Received: (at 211623-close) by bugs.debian.org; 20 Sep 2003 12:08:10 +0000
>From katie@auric.debian.org Sat Sep 20 07:08:10 2003
Return-path: <katie@auric.debian.org>
Received: from auric.debian.org [206.246.226.45] 
	by master.debian.org with esmtp (Exim 3.35 1 (Debian))
	id 1A0gX3-0006rW-00; Sat, 20 Sep 2003 07:08:10 -0500
Received: from katie by auric.debian.org with local (Exim 3.35 1 (Debian))
	id 1A0gRG-00013u-00; Sat, 20 Sep 2003 08:02:10 -0400
From: Thorsten Sauter <tsauter@debian.org>
To: 211623-close@bugs.debian.org
X-Katie: $Revision: 1.35 $
Subject: Bug#211623: fixed in partitioner 0.07
Message-Id: <E1A0gRG-00013u-00@auric.debian.org>
Sender: Archive Administrator <katie@auric.debian.org>
Date: Sat, 20 Sep 2003 08:02:10 -0400
Delivered-To: 211623-close@bugs.debian.org

Source: partitioner
Source-Version: 0.07

We believe that the bug you reported is fixed in the latest version of
partitioner, which is due to be installed in the Debian FTP archive:

partitioner_0.07.dsc
  to pool/main/p/partitioner/partitioner_0.07.dsc
partitioner_0.07.tar.gz
  to pool/main/p/partitioner/partitioner_0.07.tar.gz
partitioner_0.07_i386.udeb
  to pool/main/p/partitioner/partitioner_0.07_i386.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 211623@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thorsten Sauter <tsauter@debian.org> (supplier of updated partitioner package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 20 Sep 2003 13:49:07 +0200
Source: partitioner
Binary: partitioner
Architecture: source i386
Version: 0.07
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Thorsten Sauter <tsauter@debian.org>
Description: 
 partitioner - Partition a hard drive (udeb)
Closes: 209286 211623
Changes: 
 partitioner (0.07) unstable; urgency=low
 .
   * Aigars Mahinovs
     - Add latvian translation (lv.po).
   * Kenshi Muto
     - Added Japanese translation (ja.po)
     - Update ja.po
   * Jordi Mallach
     - Added Catalan (ca) translation.
   * Thorsten Sauter
     - Include patch for alpha architecture. (Closes: #211623)
     - Fix cfdisk "blank-screen" problem. (Closes: #209286)
     - debian/rules: don't install files under CVS/ directories
Files: 
 ad7ee02aa8d0ea871d102b0af8905263 700 debian-installer standard partitioner_0.07.dsc
 b198d0b7ee185ae4f6fa5cdd45d6d574 8514 debian-installer standard partitioner_0.07.tar.gz
 2e33b248e6a6fcb63263ecb17577a630 21600 debian-installer standard partitioner_0.07_i386.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQE/bEDrlJsl7AdEclIRAoxKAJsGXQVnrublLnVceQthASVMmoxpUwCfcu29
3/ZRgouUrMLzLYltg3s+Kl8=
=o/Gd
-----END PGP SIGNATURE-----



Reply to: